<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.elytron.authentication-context.match-rules">
    <annotation name="jboss-op">
        <elem name="name" value="list-add"/>
        <elem name="op-params" value="match-abstract-type,match-abstract-type-authority,match-host,match-local-security-domain,match-no-user,match-path,match-port,match-protocol,match-urn,match-user,authentication-configuration,ssl-context"/>
        <elem name="complex-attribute" value="match-rules"/>
        <elem name="addr-params" value="profile,host,subsystem,authentication-context"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <refs>
        <ref feature="subsystem.elytron.authentication-context"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="match-port" nillable="true"/>
        <param name="match-no-user" nillable="true"/>
        <param name="match-path" nillable="true"/>
        <param name="profile" default="GLN_UNDEFINED"/>
        <param name="subsystem"/>
        <param name="match-abstract-type" nillable="true"/>
        <param name="match-local-security-domain" nillable="true"/>
        <param name="ssl-context" nillable="true"/>
        <param name="match-protocol" nillable="true"/>
        <param name="match-urn" nillable="true"/>
        <param name="match-host" nillable="true"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="match-abstract-type-authority" nillable="true"/>
        <param name="authentication-context"/>
        <param name="match-user" nillable="true"/>
        <param name="authentication-configuration" nillable="true"/>
    </params>
</feature-spec>